Package org.bukkit.event.hanging

# Class HangingEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.hanging.HangingEvent

Direct Known Subclasses:
  `HangingBreakEvent`, `HangingPlaceEvent`

public abstract class HangingEvent extends Event
Represents a hanging entity-related event.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Hanging`
`hanging`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HangingEvent(@NotNull Hanging painting)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Hanging`
`getEntity()`
Gets the hanging entity involved in this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hanging

protected Hanging hanging

## Constructor Details

### HangingEvent

protected HangingEvent(@NotNull @NotNull Hanging painting)

## Method Details

### getEntity

@NotNull public @NotNull Hanging getEntity()
Gets the hanging entity involved in this event.

Returns:
  the hanging entity